#Forms for both Views and admin should go here.
from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from erp.models import Profile

#Form classes for the user profile (used for creation and update)
#Right now we need to figure out how to create a profile. I guess it will be a different
#HTML file in the templates/erp directory
class UserForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ('username', 'email')

class ProfileForm(forms.ModelForm):
    class Meta:
        model = Profile
        fields = ('nome', 'cpf', 'cep','endereco', 'complemento' , 
                  'bairro', 'cidade', 'estado', 'dtnascimento',
                  'foto', 'fotorg', 'fotocpf', 'fotocomprovante'
        )

#Por hora esta sendo usado no login2
class LoginForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ('username', 'password')
        help_texts = {
            'username': None,
        }
    
    def __init__(self, *args, **kwargs):
        super(LoginForm, self).__init__(*args, **kwargs)
        self.fields['password'].widget = forms.PasswordInput(attrs={'placeholder': ''})
        self.fields['password'].widget.attrs['class'] = 'form-control'